import { Module } from '@nestjs/common';
import { UserService } from './user.service';
import { UserRouter } from './user.router';
import { TrpcService } from '@server/trpc/trpc.service';
import { UserController } from './user.controller';

@Module({
  providers: [UserService, UserRouter, TrpcService],
  exports: [UserService, UserRouter],
  controllers: [UserController],
})
export class UserModule {}
