export interface Book{
  id     :   string ;   
  bookName :     string;
  isbn :   string;
  author    :   string;
  libraryId  :  string;
  library? :   Library;
  terms?   :    Term[];  
  createdAt: Date | string;
  updatedAt: Date | string;
  deletedAt?: Date | string | null;


}

export interface Library {
  id: string;
  name: string;
}

export interface Term {
  id: string;
  name: string;
  taxonomyId?: string;
}