export interface Library {
  id: string;
  name: string;
  address: string;
  description: string;
  adminId?: string | null;
  admin?: {
    id: string;
    name: string;
    username: string;
  } | null;
  createdAt: Date | string;
  updatedAt: Date | string;
  deletedAt?: Date | string | null;
  _count?: {
    readers: number;
    books: number;
    borrowRecords: number;
    comments: number;
  }
}
