import { Module } from '@nestjs/common';
import { BookService } from './book.service';
import { BookRouter } from './book.router';
import { TrpcService } from '@server/trpc/trpc.service';
import { BookController } from './book.controller';

@Module({
  providers: [BookService, BookRouter, TrpcService],
  exports: [BookService, BookRouter],
  controllers: [BookController],
})
export class BookModule {}
