import { Module } from '@nestjs/common';
import { BorrowRecordService } from './borrowRecord.service';
import { BorrowRecordRouter } from './borrowRecord.router';
import { TrpcService } from '@server/trpc/trpc.service';
import { BorrowRecordController } from './borrowRecord.controller';

@Module({
  providers: [BorrowRecordService, BorrowRecordRouter, TrpcService],
  exports: [BorrowRecordService, BorrowRecordRouter],
  controllers: [BorrowRecordController],
})
export class BorrowRecordModule {}
