import { Module } from '@nestjs/common';
import { LibraryService } from './library.service';
import { LibraryRouter } from './library.router';
import { TrpcService } from '@server/trpc/trpc.service';
import { LibraryController } from './library.controller';

@Module({
  providers: [LibraryService, LibraryRouter, TrpcService],
  exports: [LibraryService, LibraryRouter],
  controllers: [LibraryController],
})
export class LibraryModule {}
