export interface Game {
    id     :   string ;   
    name    :   string;
    startTime : string;
    clubs :  Club[];
    sorties :  Sortie[];
    createdAt: string;
    updatedAt: string;
    deletedAt?: string | null;
}

export interface Club {
    id: string;
    name: string;
}

export interface Sortie {
    id: string;
    totalTime: number;
    score: number;
    driver: {
        id: string;
        name: string;
    };
    car: {
        id: string;
        name: string;
    };
    createdAt: string;
}
